package com.xintong.visualinspection.service;

import com.xintong.visualinspection.bean.FwqScore;

import java.util.List;
import java.util.Map;

/**
 * 
 *
 * ConstantService
 * 
 * tiger
 * tiger
 * 2017年5月4日 上午10:41:40
 * 
 * @version 1.0.0
 *
 */
public interface ScoreService_F {
	public List<FwqScore> getAll();
    public FwqScore getOne(Long id);
    public List<FwqScore> getScoreList(FwqScore score);
    public List<FwqScore> getScoreListByTaskId(Long task_id);
    public void insert(FwqScore score);
    public void update(FwqScore score);
    public void updateByTaskIdAndPerson(FwqScore score);
    public void delete(Long id);
    public List<FwqScore> getTopRemarkList(Map<String, Object> param);
    public void backoutScore(FwqScore score);
}
